> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Safe Currency

> This endpoint sets the appropriate token symbol (currency) for a user's Safe account based on their country.
It should be called after deploying a Safe account using the /api/v1/account endpoint.

The system assigns currencies based on user's country:
- UK users (GB): GBPe
- Brazil users (BR): USDCe
- Users from other countries: EURe (default)

Prerequisite: User must have completed and passed KYC verification.




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json post /api/v1/safe/set-currency
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/safe/set-currency:
    post:
      tags:
        - Safe Management
      summary: Set Safe Currency
      description: >
        This endpoint sets the appropriate token symbol (currency) for a user's
        Safe account based on their country.

        It should be called after deploying a Safe account using the
        /api/v1/account endpoint.


        The system assigns currencies based on user's country:

        - UK users (GB): GBPe

        - Brazil users (BR): USDCe

        - Users from other countries: EURe (default)


        Prerequisite: User must have completed and passed KYC verification.
      responses:
        '200':
          description: Successfully set the currency for the Safe account
          content:
            application/json:
              schema:
                type: object
                properties:
                  tokenSymbol:
                    type: string
                    enum:
                      - EURe
                      - GBPe
                      - USDCe
                    description: The token symbol set for the Safe account
              examples:
                success:
                  value:
                    tokenSymbol: EURe
        '400':
          description: Bad request (e.g., no Safe account found for user)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
              examples:
                noSafe:
                  value:
                    error: No Safe associated with user found in DB
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          description: User needs to complete KYC successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
              examples:
                kycRequired:
                  value:
                    error: User needs to complete KYC successfully
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````